/*
* @Title: Site - Global - Fonts (Euclid Circular A + B)
* @Version: 1-0-0
*
*/

/* =========================
   Euclid Circular A
========================= */

/* Light */
@font-face {
    font-family: 'Euclid Circular A';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Light-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Light-WebS.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

/* Regular */
@font-face {
    font-family: 'Euclid Circular A';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Regular-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Regular-WebS.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* Medium */
@font-face {
    font-family: 'Euclid Circular A';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Medium-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Medium-WebS.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

/* Semibold */
@font-face {
    font-family: 'Euclid Circular A';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Semibold-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Semibold-WebS.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

/* Bold */
@font-face {
    font-family: 'Euclid Circular A';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Bold-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-Bold-WebS.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/* Italics */
@font-face {
    font-family: 'Euclid Circular A';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-RegularItalic-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-RegularItalic-WebS.woff') format('woff');
    font-weight: 400;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Euclid Circular A';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-MediumItalic-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-MediumItalic-WebS.woff') format('woff');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Euclid Circular A';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-BoldItalic-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularA-BoldItalic-WebS.woff') format('woff');
    font-weight: 700;
    font-style: italic;
    font-display: swap;
}


/* =========================
   Euclid Circular B
========================= */

/* Light */
@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Light-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Light-WebS.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

/* Regular */
@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Regular-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Regular-WebS.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* Medium */
@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Medium-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Medium-WebS.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

/* Semibold */
@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Semibold-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Semibold-WebS.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

/* Bold */
@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Bold-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-Bold-WebS.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/* Italics */
@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-LightItalic-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-LightItalic-WebS.woff') format('woff');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-RegularItalic-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-RegularItalic-WebS.woff') format('woff');
    font-weight: 400;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-MediumItalic-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-MediumItalic-WebS.woff') format('woff');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-SemiboldItalic-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-SemiboldItalic-WebS.woff') format('woff');
    font-weight: 600;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Euclid Circular B';
    src: url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-BoldItalic-WebS.woff2') format('woff2'),
         url('https://cdn.asp.events/CLIENT_Media_10_B9D470DF_5056_B739_5443B4BBAA6F8ED4/sites/grand-designs2026/media/__theme/fonts/EuclidCircularB-BoldItalic-WebS.woff') format('woff');
    font-weight: 700;
    font-style: italic;
    font-display: swap;
}